<?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 18px;
}

th{
    background: green;
    color:white;
}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>
<h3 style="font-size: 25px; text-decoration: underline;">Reporte de ventas</h3>
<?php

include_once("../php/formatos.php");
$cliente = $_GET["cliente"];
$usuario = $_GET["usuario"];

$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];
if($estado=="Terminada"){$estado="Cerrada";}
echo "<b>Fecha:</b> desde <font color='blue'>".$fecha1."</font> hasta <font color='blue'>".$fecha2."</font>, <b>Usuario</b>: <font color='red'>".$cobrador."</font><br>";
echo "<b>Cliente:</b> <font color='blue'>".$cliente."</font>, ";
echo " <b>(Termino venta: </b><font color='green'>".$termino.")</font>";

$sql = mysql_query("select * from ventas where 
                    cliente like '%".$cliente."%'
                    and usuario like '%".$usuario."%'
					and estado!='Anulada' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());

echo "<table><th>Venta</th><th>NCF</th><th>Fecha</th><th>Cliente</th><th>Monto</th><th>Costo</th><th>Pagado</th><th>Balance</th><th>Impuestos</th><th>Termino</th><th>Estado</th>";
while($r = mysql_fetch_array($sql)){
    $total+=$r["total"];
    $totalVenta+=$r["total"];
    $balance+=$r["balance"];
    $costo+=$r["costo"];
    $impuestos+=$r["impuesto"];
	$c++;
    echo "<tr>";
    echo "<td>".$r["id_venta"]."</td>";
	echo "<td>".$r["ncf"]."</td>";
    echo "<td>".fecha($r["fecha"])."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["cliente"]."</td>";
    echo "<td>".decimal($r["total"])."</td>";
    echo "<td>".decimal($r["costo"])."</td>";
    echo "<td>".decimal($r["pagado"])."</td>";
	
    echo "<td>".decimal($r["balance"])."</td>";
	 echo "<td>".decimal($r["impuesto"])."</td>";
	echo "<td>".$r["termino"]."</td>";
	echo "<td>".$r["estado"]."</td>";
   
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";

echo "<br>";


 ///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
  echo "<br><b>Registros: </b><font color='blue'>".($c)."</font><br>";
 echo "<br><b>BALANCE EN VENTAS A CREDITO: </b><font color='green'>".decimal($balance)."</font><br>";

?>
